Subject: Re: [PATCH v7 00/25] coresight: allow to build coresight as modules

From: Tingwei Zhang <[email-masked]>
Date: Thu, 6 Aug 2020 11:06:25 +0800

On Thu, Aug 06, 2020 at 01:17:23AM +0800, Suzuki K Poulose wrote:
> On 08/05/2020 03:54 AM, Tingwei Zhang wrote:
> >Allow to build coresight as modules. This gives developers the
> feasibility to
> >test their code without reboot.
> >
> 
> I ran this on my Juno and modules are auto loaded. However:
> 
> root@juno-server:~# lsmod
> Module                  Size  Used by
> coresight_tmc          40960  -2
> coresight_etm4x        61440  -2
> coresight_funnel       20480  -2
> coresight_stm          24576  -2
> coresight_replicator    20480  -2
> coresight_cpu_debug    20480  -2
> coresight_tpiu         20480  -2
> coresight              45056  -2
> 
> 
> The used by count is -2 for all of them. Does anyone hit this ?
> I am unable to remove the modules.
> 
I tested on db845c and modules are auto loaded.
I didn't see this issue. Module can be removed.

Thanks,
Tingwei

> Suzuki
> 
> _______________________________________________
> linux-arm-kernel mailing list
> [email-masked]
> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel